{
  "manifest_version": 3,
  "name": "TEMU助手",
  "description": "TEMU助手 - 自动化提高生产效率",
  "version": "3.3.0",
  "background": {
    "service_worker": "/background.js"
  },
  "icons": {
    "16": "icons/16.png",
    "48": "icons/48.png",
    "128": "icons/128.png"
  },
  "action": {},
  "host_permissions": [
    "*://124.71.2.127:8888/",
    "*://*.kuajingmaihuo.com/",
    "*://*.temu.com/",
    "*://*.aliexpress.com/",
    "*://*.alicdn.com/",
    "*://*.amazon.com/",
    "*://*.shein.com/",
    "*://*.geiwohuo.com/",
    "*://*.ltwebstatic.com/"
  ],
  "permissions": [
    "cookies",
    "notifications",
    "tabs",
    "scripting",
    "webRequest",
    "declarativeNetRequest",
    "declarativeNetRequestWithHostAccess",
    "declarativeNetRequestFeedback",
    "activeTab"
  ],
  "declarative_net_request": {
    "rule_resources": [
      {
        "id": "1",
        "enabled": true,
        "path": "rules_1.json"
      },
      {
        "id": "3",
        "enabled": true,
        "path": "rules_3.json"
      },
      {
        "id": "4",
        "enabled": true,
        "path": "rules_4.json"
      },
      {
        "id": "5",
        "enabled": true,
        "path": "rules_5.json"
      },
      {
        "id": "6",
        "enabled": true,
        "path": "rules_6.json"
      },
      {
        "id": "7",
        "enabled": true,
        "path": "rules_7.json"
      },
      {
        "id": "8",
        "enabled": true,
        "path": "rules_8.json"
      },
      {
        "id": "9",
        "enabled": true,
        "path": "rules_9.json"
      },
      {
        "id": "11",
        "enabled": true,
        "path": "rules_11.json"
      }
    ]
  },
  "content_scripts": [
    {
      "matches": [
        "*://*.aliexpress.com/item/*",
        "*://*.amazon.com/*",
        "*://*.shein.com/*"
      ],
      "js": [
        "/content.js"
      ]
    },
    {
      "matches": [
        "*://*.kuajingmaihuo.com/*"
      ],
      "js": [
        "/js/temuSellerContent.js"
      ]
    }
  ],
  "web_accessible_resources": [
    {
      "resources": [
        "js/download.js",
        "js/jszip.min.js",
        "js/FileSaver.js"
      ],
      "matches": [
        "*://*.aliexpress.com/*",
        "*://*.amazon.com/*",
        "*://*.shein.com/*"
      ]
    },
    {
      "resources": [
        "js/temuSeller.js"
      ],
      "matches": [
        "*://*.kuajingmaihuo.com/*"
      ]
    }
  ]
}
